Python

Compatible with  IntelliJ IDEA
12.07.2016
806 088
The Python plug-in provides smart editing for Python scripts. The feature set of the plugin corresponds to PyCharm IDE Professional Edition.
PyCharm blog
Discussion forum
Issue tracker

Download plugin

Version

Update date

15.10.2015
In plugin version 5.0.142.2 Remote debug is not working under IntelliJ 143.116 and 143.249. Also for some reason it is not updating through ui. I had to install it manually from zip.
21.04.2015
I wonder when the idea plugin will get a fix for that major bug: https://youtrack.jetbrains.com/issue/PY-11159 pycharm got an eap with the fix last month and 4.0.6 with the fix was released 3 weeks ago.
06.03.2015
Plugin updated, sorry for delay.
06.03.2015
Confirmed: broken in EAP 14.1.
05.03.2015
Confirmed: broken in EAP 14.1.2.
04.03.2015
Broken in latest 14.1 EAP
26.01.2015
You need IDEA 14 EAP for the 4.0 139.116. plugin.
22.01.2015
The current version (139.116) does not show up inside IntelliJ to update...
17.12.2014
current latest version `4.0 Beta 140.58` would hang `Intellij IDEA 14.0.2` on `OSX 10.10.1` many times. but downgrade this plugin version to `4.0 Beta 139.3` it's ok and stable.
28.11.2014
I have IntelliJ 14 and tried to install the plugin from within the IDE. The plugin downloads but doesn't install. The IntelliJ logs also doesn't indicate any errors.
02.07.2014
Would be great to have IntelliJ EAP 14 version of this plugin.
Anonymous
10.05.2014
I have the latest version of IntelliJ IDEA (13.1.2) and the python plugin (3.4.Beta.135.1) but when I click on new Python project in IDEA, all I see is Django & Google App Engine project types. When would we get Web2Py, Pyramid, Flask, HTML5 & Twitter bootstrap project types in the python plugin for IDEA?
Anonymous
09.04.2014
I have installed python 3.4 and python plugin 3.4.Beta.135.1 to IntelliJ 13.1. I installed pywin32 module, but in Intellij when I try to 'import win32gui' the IDE warns me that 'No module named win32gui'. but this python project can build successfully and run normally.
Anonymous
09.04.2014
I have installed python 3.4 and python plugin 3.4.Beta.135.1 to IntelliJ 13.1. I installed pywin32 module, but in Intellij when I try to 'import win32gui' the IDE warns me that 'No module named win32gui'. but this python project can build successfully and run normally.
Anonymous
09.04.2014
How to solve. Plugin Python depends on unknown plugins org.jetbrains.plugins.yaml, org.jetbrains.plugins.remote-run, Coverage
Please  sign in  to leave a comment.